Bug 1408911 - default notify position makes it hard to change volume
Summary: default notify position makes it hard to change volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-notifyd
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-28 06:15 UTC by Zamir SUN
Modified: 2017-02-26 01:36 UTC (History)
3 users (show)

Fixed In Version: xfce4-notifyd-0.3.5-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-26 01:36:19 UTC


Attachments (Terms of Use)
xfce-notify-problem.ogv (239.13 KB, application/ogg)
2016-12-28 06:15 UTC, Zamir SUN
no flags Details

Description Zamir SUN 2016-12-28 06:15:53 UTC
Created attachment 1235583 [details]
xfce-notify-problem.ogv

Description of problem:
By default if I am using xfce 4, the notification comes out in top right of the screen, regardless of what's behind. So if volume is in the same position, it makes hard to adjust volume control

Version-Release number of selected component (if applicable):
Fedora 25 XFCE 
xfce4-notifyd-0.3.4-1.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora XFCE and log in
2. Adjust volume from the volume icon
3.

Actual results:
Volume adjust area are mostly covered by notification

Expected results:
Notify don't cover the volume control

Additional info:
See the attached ogv video if the steps is not clear enough for you.
I remember some newer version of Fedora 24 XFCE also have this issue.
And currently the workaround is simple, but not user-friendly enough, either

run xfce4-notifyd-config and change the Default Position to somewhere else, or

move the volume control from the default position to somewhere else.

But I hope there is a much user-friendly default settings for users.

Comment 1 Kevin Fenzi 2016-12-31 16:51:07 UTC
Well, I am not sure if other locations are too much better... each has tradeoffs. 

This might be a good discussion for the fedora-xfce list. Would you be willing to bring it up there? Or if not, I can do so...

Comment 3 Kevin Fenzi 2017-01-01 17:06:33 UTC
Thanks!

Comment 4 Fedora Admin XMLRPC Client 2017-01-28 15:20:53 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Mukundan Ragavan 2017-01-30 00:44:02 UTC
Is this still an issue or should we close this bug?

What I understood from the last message was that this was worked around.

Comment 6 Fedora Update System 2017-02-15 03:19:12 UTC
xfce4-notifyd-0.3.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec2e2a24c5

Comment 7 Fedora Update System 2017-02-17 15:25:29 UTC
xfce4-notifyd-0.3.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec2e2a24c5

Comment 8 Fedora Update System 2017-02-26 01:36:19 UTC
xfce4-notifyd-0.3.5-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.